Bug 830362 - (kscd) Review Request: kscd - CD Player
Review Request: kscd - CD Player
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On: libkcddb libkcompactdisc audiocd-kio
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-06-08 20:42 EDT by Rex Dieter
Modified: 2012-06-20 12:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:42:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-06-08 20:42:03 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdemm/kscd.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdemm/kscd-4.8.90-1.fc17.src.rpm
Description: CD Player
Fedora Account System Username: rdieter

New package from upstream splitting the once-monolithic kdemultimedia tarball (and why this one includes Obsoletes)
Comment 1 Rex Dieter 2012-06-14 14:43:34 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdemm/kscd.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdemm/kscd-4.8.90-2.fc17.src.rpm

%changelog
* Wed Jun 13 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.90-2
- +%%doc ChangeLog README TODO
Comment 2 Jaroslav Reznik 2012-06-19 12:26:29 EDT
Name: ok
Summary: ok
License: ok, GPLv2+
URL: I'd use this one http://www.kde.org/applications/multimedia/kscd/ (more user friendly)
Sources: ok (md5sum fd334bf6dec27e8b6706e196638a2bef)
BuildRequires: ok
Requires: ok
Obsoletes/Provides: ok, kdemultimedia-kscd split
Description: ok (maybe more descriptive "KsCD is a small, fast, CDDB enabled audio CD player.")
Build: ok
Macros used consistently: ok
Desktop file validation: ok
Icon cache update: ok
Docs: ok

rpmlint kscd-4.8.90-2.fc17.src.rpm 
kscd.src:53: W: macro-in-comment %{name}
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

#find_lang %{name} --with-kde --all-name
are translations in kde-l10n or not?
Comment 3 Rex Dieter 2012-06-19 12:49:09 EDT
the find_lang call here are used to pick up the khelpcenter handbooks, but kscd doesn't have one.  I probably should've just removed it, rather than comment it out
Comment 4 Rex Dieter 2012-06-19 12:49:42 EDT
But otherwise, yes, gettext translations are in kde-l10n (or should be)
Comment 5 Rex Dieter 2012-06-19 13:38:33 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdemm/kscd.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdemm/kscd-4.8.90-3.fc17.src.rpm

%changelog
* Tue Jun 19 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.90-3
- update URL, %%description
Comment 6 Jaroslav Reznik 2012-06-20 10:27:27 EDT
Thanks Rex,
APPROVED.
Comment 7 Rex Dieter 2012-06-20 11:12:40 EDT
thanks.

New Package SCM Request
=======================
Package Name: kscd
Short Description: CD player
Owners: than,rdieter,jreznik,rnovacek,ltinkl,kkofler
Branches: f17
InitialCC:
Comment 8 Gwyn Ciesla 2012-06-20 11:16:02 EDT
Git done (by process-git-requests).
Comment 9 Rex Dieter 2012-06-20 12:42:22 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.